> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Nexus Statement

> Updates a Nexus statement from the system. Note that statement ID and client ID are not editable

*Request Body Structure*

| Path | Type | Description |
| --- | --- | --- |
| `uuid` | `UUID` | EnergyWatch universally unique identifier |
| `status` | `Enum` | Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED |
| `ww_account_id` | `Integer` | EnergyWatch account identifier |
| `ww_control_code` | `String` | EnergyWatch Control Code identifier for PDFs |
| `status_message` | `String` | Status message |
| `nexus_json` | `Nexus Statement Model` | The statement's raw body |



## OpenAPI

````yaml /tango_watchwire/integrations/guides/watchwire-api.yaml patch /statement/nexus/{statementId}
openapi: 3.1.0
info:
  title: WatchWire API
  version: 1.0.0
  description: >-
    The WatchWire Platform has APIs that allow you to access your data
    programmatically. There are several APIs designed for the modules in the
    WatchWire platform including - Invoice Data, Real-Time, Accounts Payable,
    and Measurement & Verification. All are highly scalable, and secure APIs
    that communicate over HTTPS RESTful protocols with JSON based documents.


    > **Note**: Not all WatchWire modules are available as an API.


    # Authentication


    You need credentials to access the APIs - it is the same credentials as your
    WatchWire login. The `/authenticate` will return a Token that needs to be
    included in the header of every subsequent request. The token renews with
    each request and expires after 60 minutes of inactivity (at which point you
    will need to re-authenticate and get a new token).


    > Please contact the WatchWire team for any questions or request for API
    credential access.


    # Error Codes


    There will be various error codes specific to the API you are using, but
    generally follows these principles:


    *   `Unauthorized` - *you are unauthenticated or unauthorized to request
    actions on an asset*

    *   `Asset doesn't exist` - *the item you are querying for doesn't exist*

    *   `Server error`\- *general exception raised in our application code*
        

    # Rate limit


    Rate limited to 10 transactions per meter / second
servers:
  - url: https://auth.replace-me.example.com
    description: Authentication service (Postman variable {{ww-api-baseurl}})
  - url: https://realtime.replace-me.example.com
    description: RealTime API (Postman variable {{gateway-realtime-api}})
  - url: https://ap.replace-me.example.com
    description: Accounts Payable API (Postman variable {{gateway-ap-api}})
  - url: https://invoice.replace-me.example.com
    description: Invoice API (Postman variable {{portal-api-baseurl}})
  - url: https://mv.replace-me.example.com
    description: Measurement & Verification API (Postman variable {{invoice-api}})
security:
  - BearerAuth: []
tags:
  - name: Authentication
  - name: RealTime API - Custom Meter
  - name: RealTime API - Meter Readings
  - name: RealTime API - Meter Readings Aggregations
  - name: RealTime API - Meter Readings Batch Operations
  - name: RealTime API - Obvius Meter Readings
  - name: Accounts Payable API - Audit Statements
  - name: Accounts Payable API - Nexus Statements
  - name: Accounts Payable API - Standard Statements
  - name: Accounts Payable API - Statement PDFs
  - name: Invoice API - Reference IDs
  - name: Invoice API - Invoice
  - name: Measurement & Verification API - M&V
paths:
  /statement/nexus/{statementId}:
    patch:
      tags:
        - Accounts Payable API - Nexus Statements
      summary: Update Nexus Statement
      description: >-
        Updates a Nexus statement from the system. Note that statement ID and
        client ID are not editable


        *Request Body Structure*


        | Path | Type | Description |

        | --- | --- | --- |

        | `uuid` | `UUID` | EnergyWatch universally unique identifier |

        | `status` | `Enum` | Available values : ERROR, NEW, PROCESSED,
        RETRIEVED, SYSTEM_UPDATED, UPDATED |

        | `ww_account_id` | `Integer` | EnergyWatch account identifier |

        | `ww_control_code` | `String` | EnergyWatch Control Code identifier for
        PDFs |

        | `status_message` | `String` | Status message |

        | `nexus_json` | `Nexus Statement Model` | The statement's raw body |
      operationId: updateNexusStatement
      parameters:
        - name: statementId
          in: path
          required: true
          schema:
            type: integer
          description: EnergyWatch statement identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                nexus_json:
                  type: object
                  properties:
                    control_amount:
                      type: integer
                    country_code:
                      type: string
                    currency_code:
                      type: string
                    integration_package_name:
                      type: string
                    invoice_budgetoverage_note:
                      type: string
                    invoice_cycle_from:
                      type: string
                    invoice_cycle_to:
                      type: string
                    invoice_datetm:
                      type: string
                    invoice_duedate:
                      type: string
                    invoice_note:
                      type: string
                    invoice_period:
                      type: string
                    invoice_private:
                      type: integer
                    invoice_ref:
                      type: string
                    invoicepayment_type:
                      type: string
                    lines:
                      type: array
                      items:
                        type: object
                        properties:
                          line_item_uuid:
                            type: string
                          invoiceitem_quantity:
                            type: integer
                          invoiceitem_unitprice:
                            type: integer
                          glaccount_number:
                            type: string
                          unit_id_alt:
                            type: string
                          utilityusagetype_name:
                            type: string
                          utilityaccount_accountnumber:
                            type: string
                          invoiceitem_description:
                            type: string
                          property_id_alt:
                            type: string
                          invoiceitem_taxflag:
                            type: string
                          universal_field1:
                            type: string
                          universal_field2:
                            type: string
                          universal_field3:
                            type: string
                          universal_field4:
                            type: string
                          universal_field5:
                            type: string
                          universal_field6:
                            type: string
                          universal_field7:
                            type: string
                          universal_field8:
                            type: string
                    priority:
                      type: string
                    property_id_alt:
                      type: integer
                    remit_advice:
                      type: integer
                    shipping:
                      type: integer
                    tax:
                      type: integer
                    universal_field1:
                      type: string
                    universal_field2:
                      type: string
                    universal_field3:
                      type: string
                    universal_field4:
                      type: string
                    universal_field5:
                      type: string
                    universal_field6:
                      type: string
                    universal_field7:
                      type: string
                    universal_field8:
                      type: string
                    userprofile_username:
                      type: string
                    vendor_id_alt:
                      type: integer
                status:
                  type: string
                status_message:
                  type: string
                ww_account_id:
                  type: integer
                ww_control_code:
                  type: string
            example:
              nexus_json:
                control_amount: 0
                country_code: string
                currency_code: string
                integration_package_name: JDE
                invoice_budgetoverage_note: string
                invoice_cycle_from: '2020-12-10'
                invoice_cycle_to: '2020-12-10'
                invoice_datetm: '2020-12-10'
                invoice_duedate: '2020-12-10'
                invoice_note: string
                invoice_period: '2020-12-10'
                invoice_private: 0
                invoice_ref: string
                invoicepayment_type: string
                lines:
                  - glaccount_number: string
                    invoiceitem_description: string
                    invoiceitem_quantity: 0
                    invoiceitem_taxflag: 'N'
                    invoiceitem_unitprice: 0
                    line_item_uuid: 53a8a01d-2a8d-4832-88cb-5b09826feae6
                    property_id_alt: string
                    unit_id_alt: string
                    universal_field1: string
                    universal_field2: string
                    universal_field3: string
                    universal_field4: string
                    universal_field5: string
                    universal_field6: string
                    universal_field7: string
                    universal_field8: string
                    utilityaccount_accountnumber: string
                    utilityusagetype_name: string
                priority: string
                property_id_alt: 12345
                remit_advice: 0
                shipping: 0
                tax: 0
                universal_field1: string
                universal_field2: string
                universal_field3: string
                universal_field4: string
                universal_field5: string
                universal_field6: string
                universal_field7: string
                universal_field8: string
                userprofile_username: EWServices
                vendor_id_alt: 12345
              status: ERROR
              status_message: string
              ww_account_id: 0
              ww_control_code: string
      responses:
        '200':
          description: Successful response
        '401':
          description: Unauthorized - missing, invalid or expired token
      security:
        - BearerAuth: []
      servers:
        - url: https://ap.replace-me.example.com
          description: Accounts Payable API (Postman variable {{gateway-ap-api}})
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token returned by `POST /authenticate`. Expires after 60 minutes of
        inactivity.

````